Skip to main content
POST
/
sellers
curl --request POST \ --url https://api-sandbox.y.uno/v1/sellers \ --header 'Content-Type: application/json' \ --header 'X-account-code: <x-account-code>' \ --header 'private-secret-key: <private-secret-key>' \ --header 'public-api-key: <public-api-key>' \ --data ' { "account_code": "11111111-2222-3333-4444-555555555555", "merchant_seller_id": "FRANCHISE_STORE_001", "name": "Franchise Store São Paulo", "email": "store001@franchise.com", "phone": { "country_code": "55", "number": "11999999999" }, "document": { "type": "CNPJ", "number": "12345678000199" }, "address": { "street": "Av Paulista", "number": "1000", "city": "São Paulo", "state": "SP", "country": "BR", "zip_code": "01310-100" }, "country": "BR", "merchant_category_code": "5812", "payment_method": [ { "payment_method_type": "CARD", "detail": { "card": { "provider": { "id": "CIELO", "merchant_id": "CIELO_CC_12345" } } } } ] } '
{
  "seller_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_seller_id": "<string>",
  "name": "<string>",
  "email": "<string>",
  "phone": {
    "country_code": "<string>",
    "number": "<string>"
  },
  "document": {
    "type": "<string>",
    "number": "<string>"
  },
  "address": {
    "street": "<string>",
    "number": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "zip_code": "<string>"
  },
  "country": "<string>",
  "website": "<string>",
  "industry": "<string>",
  "merchant_category_code": "<string>",
  "payment_method": [
    {
      "payment_method_type": "<string>",
      "detail": {
        "card": {
          "provider": {
            "id": "<string>",
            "merchant_id": "<string>"
          }
        }
      }
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
Creates a new franchise seller mapping. A seller is created under a specific account_code, but is available organization-wide.
Each (provider.id, payment_method_type) combination must be unique within the payment_method array.

Headers

public-api-key
string
required
private-secret-key
string
required
X-account-code
string<uuid>
required
X-Idempotency-Key
string<uuid>

Body

application/json
account_code
string<uuid>
required
merchant_seller_id
string
required
Required string length: 1 - 255
name
string
Maximum string length: 255
email
string<email>
phone
object
document
object
address
object
country
string
Maximum string length: 2
website
string
industry
string
Maximum string length: 255
merchant_category_code
string
Maximum string length: 4
payment_method
object[]

Response

Created

seller_id
string<uuid>
account_code
string<uuid>
merchant_seller_id
string
name
string
email
string
phone
object
document
object
address
object
country
string
Maximum string length: 2
website
string
industry
string
merchant_category_code
string
Maximum string length: 4
payment_method
object[]
created_at
string<date-time>
updated_at
string<date-time>